LIST_SPLICE_INIT(9)

NAME
list_splice_init - join two lists and reinitialise the emptied list.

SYNOPSIS

void list_splice_init (struct list_head * list, struct list_head * head);

ARGUMENTS

list
    the new list to add.

head
    the place to add it in the first list.

DESCRIPTION

The list at list is reinitialised